ServiceRef (Apache Tomcat 9.0.81 API Documentation)

Package org.apache.naming

## Class ServiceRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef
    - - org.apache.naming.ServiceRef

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class ServiceRef
      extends AbstractRef

  Represents a reference web service.
  Author:
    Fabien Carrion
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_FACTORY` | Default factory for this reference.
    `static java.lang.String` | `JAXRPCMAPPING` | Jaxrpcmapping address type.
    `static java.lang.String` | `PORTCOMPONENTLINK` | port-component-ref/port-component-link address type.
    `static java.lang.String` | `SERVICE_INTERFACE` | Service Classname address type.
    `static java.lang.String` | `SERVICE_LOCAL_PART` |
    `static java.lang.String` | `SERVICE_NAMESPACE` | ServiceQname address type.
    `static java.lang.String` | `SERVICEENDPOINTINTERFACE` | port-component-ref/service-endpoint-interface address type.
    `static java.lang.String` | `WSDL` | Wsdl Location address type.

    - ### Fields inherited from class javax.naming.Reference

      `addrs, classFactory, classFactoryLocation, className`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServiceRef​(java.lang.String refname, java.lang.String serviceInterface, java.lang.String[] serviceQname, java.lang.String wsdl, java.lang.String jaxrpcmapping)` |
    `ServiceRef​(java.lang.String refname, java.lang.String serviceInterface, java.lang.String[] serviceQname, java.lang.String wsdl, java.lang.String jaxrpcmapping, java.lang.String factory, java.lang.String factoryLocation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHandler​(HandlerRef handler)` |
    `protected java.lang.String` | `getDefaultFactoryClassName()` |
    `HandlerRef` | `getHandler()` | Add and Get Handlers classes.
    `int` | `getHandlersSize()` |

    - ### Methods inherited from class org.apache.naming.AbstractRef

      `getFactoryClassName, toString`

    - ### Methods inherited from class javax.naming.Reference

      `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FACTORY

          public static final java.lang.String DEFAULT_FACTORY

      Default factory for this reference.
      See Also:
        Constant Field Values

    - #### SERVICE_INTERFACE

          public static final java.lang.String SERVICE_INTERFACE

      Service Classname address type.
      See Also:
        Constant Field Values

    - #### SERVICE_NAMESPACE

          public static final java.lang.String SERVICE_NAMESPACE

      ServiceQname address type.
      See Also:
        Constant Field Values

    - #### SERVICE_LOCAL_PART

          public static final java.lang.String SERVICE_LOCAL_PART

      See Also:
        Constant Field Values

    - #### WSDL

          public static final java.lang.String WSDL

      Wsdl Location address type.
      See Also:
        Constant Field Values

    - #### JAXRPCMAPPING

          public static final java.lang.String JAXRPCMAPPING

      Jaxrpcmapping address type.
      See Also:
        Constant Field Values

    - #### PORTCOMPONENTLINK

          public static final java.lang.String PORTCOMPONENTLINK

      port-component-ref/port-component-link address type.
      See Also:
        Constant Field Values

    - #### SERVICEENDPOINTINTERFACE

          public static final java.lang.String SERVICEENDPOINTINTERFACE

      port-component-ref/service-endpoint-interface address type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServiceRef

          public ServiceRef​(java.lang.String refname,
                            java.lang.String serviceInterface,
                            java.lang.String[] serviceQname,
                            java.lang.String wsdl,
                            java.lang.String jaxrpcmapping)

    - #### ServiceRef

          public ServiceRef​(java.lang.String refname,
                            java.lang.String serviceInterface,
                            java.lang.String[] serviceQname,
                            java.lang.String wsdl,
                            java.lang.String jaxrpcmapping,
                            java.lang.String factory,
                            java.lang.String factoryLocation)

  - ### Method Detail

    - #### getHandler

          public HandlerRef getHandler()

      Add and Get Handlers classes.
      Returns:
        the handler

    - #### getHandlersSize

          public int getHandlersSize()

    - #### addHandler

          public void addHandler​(HandlerRef handler)

    - #### getDefaultFactoryClassName

          protected java.lang.String getDefaultFactoryClassName()

      Specified by:
        `getDefaultFactoryClassName` in class `AbstractRef`